# Class ConstantVolumeJoint

java.lang.Object
com.codename1.gaming.physics.box2d.dynamics.joints.Joint
com.codename1.gaming.physics.box2d.dynamics.joints.ConstantVolumeJoint

public class ConstantVolumeJoint extends Joint

- ## Field Summary

  ### Fields inherited from class Joint

  `m_bodyA, m_bodyB, m_edgeA, m_edgeB, m_islandFlag, m_next, m_prev, m_userData, pool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantVolumeJoint(World argWorld, ConstantVolumeJointDef def)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destructor()`
  Override to handle destruction of joint
  `void`
  `getAnchorA(Vec2 argOut)`
  No-op
  `void`
  `getAnchorB(Vec2 argOut)`
  No-op
  `Body[]`
  `getBodies()`
  `DistanceJoint[]`
  `getJoints()`
  `void`
  `getReactionForce(float inv_dt, Vec2 argOut)`
  No-op
  `float`
  `getReactionTorque(float inv_dt)`
  No-op
  `void`
  `inflate(float factor)`
  `void`
  `initVelocityConstraints(SolverData step)`
  `boolean`
  `solvePositionConstraints(SolverData step)`
  This returns true if the position errors are within tolerance.
  `void`
  `solveVelocityConstraints(SolverData step)`

  ### Methods inherited from class Joint

  `create, destroy, getBodyA, getBodyB, getCollideConnected, getNext, getType, getUserData, isActive, setUserData`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConstantVolumeJoint

    public ConstantVolumeJoint(World argWorld, ConstantVolumeJointDef def)

- ## Method Details

  - ### getBodies

    public Body[] getBodies()

  - ### getJoints

    public DistanceJoint[] getJoints()

  - ### inflate

    public void inflate(float factor)

  - ### destructor

    public void destructor()
    Description copied from class: `Joint`
    Override to handle destruction of joint
    Overrides:
      `destructor` in class `Joint`

  - ### initVelocityConstraints

    public void initVelocityConstraints(SolverData step)
    Specified by:
      `initVelocityConstraints` in class `Joint`

  - ### solvePositionConstraints

    public boolean solvePositionConstraints(SolverData step)
    Description copied from class: `Joint`
    This returns true if the position errors are within tolerance.
    Specified by:
      `solvePositionConstraints` in class `Joint`
    Returns:

  - ### solveVelocityConstraints

    public void solveVelocityConstraints(SolverData step)
    Specified by:
      `solveVelocityConstraints` in class `Joint`

  - ### getAnchorA

    public void getAnchorA(Vec2 argOut)
    No-op
    Specified by:
      `getAnchorA` in class `Joint`

  - ### getAnchorB

    public void getAnchorB(Vec2 argOut)
    No-op
    Specified by:
      `getAnchorB` in class `Joint`

  - ### getReactionForce

    public void getReactionForce(float inv_dt, Vec2 argOut)
    No-op
    Specified by:
      `getReactionForce` in class `Joint`
    Parameters:
      `inv_dt` -

  - ### getReactionTorque

    public float getReactionTorque(float inv_dt)
    No-op
    Specified by:
      `getReactionTorque` in class `Joint`
    Parameters:
      `inv_dt` -
    Returns: